package cn.reghao.tnb.admin.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.DisposableBean;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * @author reghao
 * @date 2022-03-28 11:54:49
 */
@Slf4j
@Component
public class SpringLifecycle implements ApplicationRunner, DisposableBean {
    @Override
    public void run(ApplicationArguments args) {
        log.info("AdminService 启动...");
    }

    @Override
    public void destroy() {
        log.info("AdminService 停止...");
    }
}
